Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.microsoft
Interface MicrosoftObjectIdentifiers

public interface MicrosoftObjectIdentifiers

Microsoft

Object identifier base: iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) microsoft(311) 1.3.6.1.4.1.311

Field Summary
`static ASN1ObjectIdentifier` | `microsoft` Base OID: 1.3.6.1.4.1.311
`static ASN1ObjectIdentifier` | `microsoftAppPolicies` OID: 1.3.6.1.4.1.311.21.10
`static ASN1ObjectIdentifier` | `microsoftCaVersion` OID: 1.3.6.1.4.1.311.21.1
`static ASN1ObjectIdentifier` | `microsoftCertTemplateV1` OID: 1.3.6.1.4.1.311.20.2
`static ASN1ObjectIdentifier` | `microsoftCertTemplateV2` OID: 1.3.6.1.4.1.311.21.7
`static ASN1ObjectIdentifier` | `microsoftCrlNextPublish` OID: 1.3.6.1.4.1.311.21.4
`static ASN1ObjectIdentifier` | `microsoftPrevCaCertHash` OID: 1.3.6.1.4.1.311.21.2
`static ASN1ObjectIdentifier` | `microsoftTimeStampRequest` OID: 1.3.6.1.4.1.311.3.2.1 — SPC_TIME_STAMP_REQUEST_OBJID, the countersignature type of a legacy (pre-RFC 3161) Authenticode time stamp request.

Field Detail

### microsoft

    public static final ASN1ObjectIdentifier microsoft

  Base OID: 1.3.6.1.4.1.311

### microsoftCertTemplateV1

    public static final ASN1ObjectIdentifier microsoftCertTemplateV1

  OID: 1.3.6.1.4.1.311.20.2

### microsoftCaVersion

    public static final ASN1ObjectIdentifier microsoftCaVersion

  OID: 1.3.6.1.4.1.311.21.1

### microsoftPrevCaCertHash

    public static final ASN1ObjectIdentifier microsoftPrevCaCertHash

  OID: 1.3.6.1.4.1.311.21.2

### microsoftCrlNextPublish

    public static final ASN1ObjectIdentifier microsoftCrlNextPublish

  OID: 1.3.6.1.4.1.311.21.4

### microsoftCertTemplateV2

    public static final ASN1ObjectIdentifier microsoftCertTemplateV2

  OID: 1.3.6.1.4.1.311.21.7

### microsoftAppPolicies

    public static final ASN1ObjectIdentifier microsoftAppPolicies

  OID: 1.3.6.1.4.1.311.21.10

### microsoftTimeStampRequest

    public static final ASN1ObjectIdentifier microsoftTimeStampRequest

  OID: 1.3.6.1.4.1.311.3.2.1 — SPC_TIME_STAMP_REQUEST_OBJID, the countersignature type of a legacy (pre-RFC 3161) Authenticode time stamp request.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD